## python-doc8 0.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

argparse
chardet
docutils
restructuredtext-lint>=0.7
six
stevedore

=== debian/changelog ===
python-doc8 (0.6.0-5) unstable; urgency=medium

  * Team upload.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ David Rabel ]
  * d/control: Fix Homepage field. (Closes: #891321)

 -- David Rabel <david.rabel@noresoft.com>  Fri, 04 May 2018 13:38:36 +0200

python-doc8 (0.6.0-4) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:36:47 +0100

python-doc8 (0.6.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:30:12 +0000

python-doc8 (0.6.0-2) unstable; urgency=medium

  * Fixed override_dh_auto_install and not dh_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 08:18:40 +0000

python-doc8 (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #801750)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 09:01:55 +0200

=== debian/control ===
Source: python-doc8
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-chardet,
 python-docutils,
 python-hacking,
 python-nose,
 python-oslosphinx,
 python-restructuredtext-lint,
 python-six,
 python-stevedore,
 python-testtools,
 python3-chardet,
 python3-docutils,
 python3-nose,
 python3-restructuredtext-lint,
 python3-six,
 python3-stevedore,
 python3-testtools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-doc8
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-doc8.git
Homepage: https://git.openstack.org/cgit/openstack/doc8

Package: python-doc8
Architecture: all
Depends:
 python-chardet,
 python-docutils,
 python-restructuredtext-lint,
 python-six,
 python-stevedore,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-doc8-doc,
Description: style checker for Sphinx (or other) RST documentation - Python 2.x
 Doc8 is an opinionated style checker for rst (with basic support for plain
 text) styles of documentation.
 .
 This package contains the Python 2.x module.

Package: python-doc8-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: style checker for Sphinx (or other) RST documentation - doc
 Doc8 is an opinionated style checker for rst (with basic support for plain
 text) styles of documentation.
 .
 This package contains the documentation.

Package: python3-doc8
Architecture: all
Depends:
 python3-chardet,
 python3-docutils,
 python3-restructuredtext-lint,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-doc8-doc,
Description: Style checker for Sphinx (or other) RST documentation - Python 3.x
 Doc8 is an opinionated style checker for rst (with basic support for plain
 text) styles of documentation.
 .
 This package contains the Python 3.x module.

## python-doc8 0.8.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-argparse
 chardet
 docutils
 restructuredtext-lint>=0.7

=== debian/changelog ===
python-doc8 (0.8.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:05:32 +0200

python-doc8 (0.8.0-3) experimental; urgency=medium

  * Removed alternative management.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 11:40:44 +0100

python-doc8 (0.8.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 11:38:22 +0100

python-doc8 (0.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * New upstream version 0.8.0.
  * d/control: Add build dependencies python3-{hacking, sphinx, oslosphinx}.
  * d/control: Add X-Python3-Version tag.
  * d/copyright: Clean up.

 -- David Rabel <david.rabel@noresoft.com>  Mon, 03 Sep 2018 12:55:58 +0200

=== debian/control ===
Source: python-doc8
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-chardet,
 python3-docutils,
 python3-hacking,
 python3-nose,
 python3-oslosphinx,
 python3-restructuredtext-lint,
 python3-six,
 python3-stevedore,
 python3-testtools,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-doc8
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-doc8.git
Homepage: https://git.openstack.org/cgit/openstack/doc8

Package: python-doc8-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: style checker for Sphinx (or other) RST documentation - doc
 Doc8 is an opinionated style checker for rst (with basic support for plain
 text) styles of documentation.
 .
 This package contains the documentation.

Package: python3-doc8
Architecture: all
Depends:
 python3-chardet,
 python3-docutils,
 python3-restructuredtext-lint,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-doc8-doc,
Description: Style checker for Sphinx (or other) RST documentation - Python 3.x
 Doc8 is an opinionated style checker for rst (with basic support for plain
 text) styles of documentation.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/doc8.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers nosetests3 -v ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-doc8-doc/usr/share/doc/python-doc8-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://github.com/stackforge/doc8/tags .*/(\d[\d\.]+)\.tar\.gz

## python-doc8 0.10.1

=== doc/requirements.txt ===
pbr # Apache
sphinx>=1.8.0 # BSD
sphinx_rtd_theme>=0.4.0 # MIT

=== debian/changelog ===
python-doc8 (0.10.1-5) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
    (Closes: #1069837).
  * d/{control,rules}: set Testsuite: autopkgtest-pkg-pybuild and run the
    tests using pybuild

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 11:48:22 +0200

python-doc8 (0.10.1-4) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1068965).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 11:32:29 +0200

python-doc8 (0.10.1-3) unstable; urgency=medium

  * Switch to pytest instead of nose (Closes: #1018483).
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 16:24:27 +0200

python-doc8 (0.10.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1048801).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:03:26 +0200

python-doc8 (0.10.1-1) unstable; urgency=medium

  * Fixed upstream URLs (Closes: #992021).
  * New upstream release.
  * Switch to using pybuild-plugin-pyproject.
  * Add python3-sphinx-rtd-theme as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 12:24:13 +0100

python-doc8 (0.8.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Michal Arbet ]
  * d/copyright: Add me
  * d/control: Add me to uploaders field
  * Rebuild with newest oslosphinx (Closes: #955070)

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 24 Apr 2020 18:06:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,32 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
 Build-Depends-Indep:
  python3-chardet,
  python3-docutils,
  python3-hacking,
- python3-nose,
  python3-oslosphinx,
+ python3-pytest,
  python3-restructuredtext-lint,
- python3-six,
  python3-stevedore,
  python3-testtools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-doc8
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-doc8.git
-Homepage: https://git.openstack.org/cgit/openstack/doc8
+Homepage: https://github.com/PyCQA/doc8
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-doc8-doc
 Section: doc
@@ -45,7 +49,6 @@
  python3-chardet,
  python3-docutils,
  python3-restructuredtext-lint,
- python3-six,
  python3-stevedore,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/PyCQA/doc8
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=doc8
export PYBUILD_TEST_ARGS=-v {dir}/src/doc8/tests

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info src/*.egg-info .pybuild .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-doc8-doc/usr/share/doc/python-doc8-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
